Update alert settings
curl --request PUT \
--url https://us.api.flexprice.io/v1/alerts/setting/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"config": {
"alert_enabled": true,
"critical": {
"threshold": "<string>"
},
"info": {
"threshold": "<string>"
},
"warning": {
"threshold": "<string>"
}
}
}
'import requests
url = "https://us.api.flexprice.io/v1/alerts/setting/{id}"
payload = { "config": {
"alert_enabled": True,
"critical": { "threshold": "<string>" },
"info": { "threshold": "<string>" },
"warning": { "threshold": "<string>" }
} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
config: {
alert_enabled: true,
critical: {threshold: '<string>'},
info: {threshold: '<string>'},
warning: {threshold: '<string>'}
}
})
};
fetch('https://us.api.flexprice.io/v1/alerts/setting/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"config": {
"alert_enabled": true,
"critical": {
"threshold": "<string>"
},
"info": {
"threshold": "<string>"
},
"warning": {
"threshold": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"enabled": true,
"entity_id": "<string>",
"environment_id": "<string>",
"id": "<string>",
"parent_entity_id": "<string>",
"parent_entity_type": "<string>",
"tenant_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}{
"http_status_code": 123,
"message": "<string>"
}AlertSettings
Update alert settings
Patch an alert setting’s config; omitted fields keep their stored value.
PUT
/
alerts
/
setting
/
{id}
Update alert settings
Authorizations
Enter your API key in the format x-api-key <api-key>*
Path Parameters
Alert Settings ID
Body
application/json
Alert settings
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Available options:
wallet, feature, subscription, subscription_line_item, group Available options:
published, deleted, archived ⌘I

